List closures
curl --request GET \
--url https://api.helloannie.com/v1/organizations/{orgId}/closures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.helloannie.com/v1/organizations/{orgId}/closures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.helloannie.com/v1/organizations/{orgId}/closures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/organizations/{orgId}/closures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/organizations/{orgId}/closures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.helloannie.com/v1/organizations/{orgId}/closures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/organizations/{orgId}/closures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"closures": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "Staff training",
"recurrence": "NONE",
"start": {
"year": 2026,
"month": 11,
"day": 13,
"time": "12:00"
},
"end": {
"year": 2026,
"month": 11,
"day": 13,
"time": "17:00"
},
"chatGreeting": "Our office is closed this afternoon for staff training. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed this afternoon for staff training. How can I help?",
"enabled": true
},
{
"id": "7f1d2a4e-5b6c-4d8e-9f0a-1b2c3d4e5f60",
"description": "Independence Day",
"recurrence": "ANNUAL",
"start": {
"month": 7,
"day": 4,
"time": "00:00"
},
"end": {
"month": 7,
"day": 4,
"time": "24:00"
},
"chatGreeting": "Our office is closed for Independence Day. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for Independence Day. How can I help?",
"enabled": true
},
{
"id": "a2b4c6d8-e0f1-4a3b-8c5d-7e9f0a1b2c3d",
"description": "Winter break",
"recurrence": "ANNUAL",
"start": {
"month": 12,
"day": 28,
"time": "00:00"
},
"end": {
"month": 1,
"day": 2,
"time": "24:00"
},
"chatGreeting": "Our office is closed for winter break until January 3. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for winter break until January 3. How can I help?",
"enabled": true
},
{
"id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"description": "Christmas",
"recurrence": "ANNUAL",
"start": {
"month": 12,
"day": 24,
"time": "12:00"
},
"end": {
"month": 12,
"day": 26,
"time": "09:00"
},
"chatGreeting": "Our office is closed for Christmas and will reopen December 26 at 9 AM. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for Christmas and will reopen December 26 at 9 AM. How can I help?",
"enabled": true
}
]
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Closures
List closures
List one-time and annual office closures, including those configured in the portal and disabled ones, as recurrence plus local start and end.
GET
/
organizations
/
{orgId}
/
closures
List closures
curl --request GET \
--url https://api.helloannie.com/v1/organizations/{orgId}/closures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.helloannie.com/v1/organizations/{orgId}/closures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.helloannie.com/v1/organizations/{orgId}/closures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/organizations/{orgId}/closures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/organizations/{orgId}/closures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.helloannie.com/v1/organizations/{orgId}/closures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/organizations/{orgId}/closures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"closures": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "Staff training",
"recurrence": "NONE",
"start": {
"year": 2026,
"month": 11,
"day": 13,
"time": "12:00"
},
"end": {
"year": 2026,
"month": 11,
"day": 13,
"time": "17:00"
},
"chatGreeting": "Our office is closed this afternoon for staff training. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed this afternoon for staff training. How can I help?",
"enabled": true
},
{
"id": "7f1d2a4e-5b6c-4d8e-9f0a-1b2c3d4e5f60",
"description": "Independence Day",
"recurrence": "ANNUAL",
"start": {
"month": 7,
"day": 4,
"time": "00:00"
},
"end": {
"month": 7,
"day": 4,
"time": "24:00"
},
"chatGreeting": "Our office is closed for Independence Day. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for Independence Day. How can I help?",
"enabled": true
},
{
"id": "a2b4c6d8-e0f1-4a3b-8c5d-7e9f0a1b2c3d",
"description": "Winter break",
"recurrence": "ANNUAL",
"start": {
"month": 12,
"day": 28,
"time": "00:00"
},
"end": {
"month": 1,
"day": 2,
"time": "24:00"
},
"chatGreeting": "Our office is closed for winter break until January 3. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for winter break until January 3. How can I help?",
"enabled": true
},
{
"id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"description": "Christmas",
"recurrence": "ANNUAL",
"start": {
"month": 12,
"day": 24,
"time": "12:00"
},
"end": {
"month": 12,
"day": 26,
"time": "09:00"
},
"chatGreeting": "Our office is closed for Christmas and will reopen December 26 at 9 AM. How can I help?",
"phoneGreeting": "Thank you for calling. Our office is closed for Christmas and will reopen December 26 at 9 AM. How can I help?",
"enabled": true
}
]
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}